## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageMemcacheOptions

### Cache::ezcCacheStorageMemcacheOptions

### Class ezcCacheStorageMemcacheOptions

Option class for defining a connection to a Memcache server.

Source for this file: /Cache/src/options/storage_memcache.php

    ezcBaseOptions
       |
       --ezcCacheStorageMemcacheOptions

Version: | //autogentag//

### Properties

bool | read/write | `$compressed` If on-the-fly compression is needed. Default is false. Requires the zlib PHP extension.
string | read/write | `$host` The name of the Memcache host to use, usually localhost.
string | read/write | `$lockKey` Cache key to use for locking. Default is '.ezcLock'.
int | read/write | `$lockWaitTime` Time to wait between lock availability checks. Measured in microseconds (http://www.php.net/usleep). Default is 200000.
int | read/write | `$maxLockTime` Time before a lock is considered dead, measured in seconds. Default is 5.
string | read/write | `$metaDataKey` The name of the file used to store meta data. Default is '.ezcMetaData'.
bool | read/write | `$persistent` If a persistent connection to the Memcache host is needed. Default is false. A persistent connection stays open between requests.
int | read/write | `$port` The port on which to connect to host, usually 11211.

### Member Variables

protected ezcCacheStorageOptions | `$storageOptions` Parent storage options.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcCacheStorageMemcacheOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcCacheStorageMemcacheOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If $options contains a property with a value not allowed.
`ezcBasePropertyNotFoundException` | If $options contains a property not defined.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3